OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - w -

- w : OrthogonalTileArea , OrthogonalTileIterator
- wagon_speed_limits : VehicleSettings
- WagonOverride : VehicleResolverObject
- wait_count : IndustryTypeBuildData
- wait_counter : Train
- wait_for_pbs_path : PathfinderSettings
- wait_oneway_signal : PathfinderSettings
- wait_time : Order
- wait_twoway_signal : PathfinderSettings
- WaitForSignal() : ThreadMutex , ThreadMutex_None , ThreadMutex_OS2 , ThreadMutex_pthread , ThreadMutex_Win32
- waiting_triggers : BaseStation , Vehicle
- wanted_inds : IndustryBuildData
- WARN_FORMAT() : CStrA , NewGRFInspectWindow
- warn_lines : GameSettingsWindow
- warn_missing : GameSettingsWindow
- warned : SpriteCache
- was_cargo_delivered : Industry
- was_missing : GRFPresence
- WAS_REFIT : LinkRefresher
- WasEverAvailable() : ObjectSpec
- watched_cargo_triggers : HouseScopeResolver
- watched_cargoes : HouseSpec
- water : CompanyInfrastructure
- water_borders : GameCreationSettings
- Waypoint() : Waypoint
- WaypointWindow() : WaypointWindow
- weight : CargoSpec , RailVehicleInfo , RoadVehicleInfo
- WelcomeAll() : ServerNetworkAdminSocketHandler
- west : RoadStop
- wheel : CursorVars
- white_border_timer : Window
- widget : NWidgetPart
- widget_data : NWidgetCore
- widget_h : NWidgetMatrix
- widget_id : LinkGraphOverlay , NetworkStartServerWindow
- widget_w : NWidgetMatrix
- widgets_x : NWidgetMatrix
- widgets_y : NWidgetMatrix
- width : Blitter::BlitterParams , BmpInfo , SmallMatrix< T > , FreeTypeFontCache::GlyphEntry , Sprite , SpriteLoader::Sprite , ViewPort , Window
- width_normal : ViewportSign
- width_small : ViewportSign
- window : LinkGraphOverlay , CocoaSubdriver
- Window() : Window
- window_buffer : CocoaSubdriver
- window_class : Window , TileHighlightData
- window_desc : Window
- window_height : CocoaSubdriver
- window_number : TileHighlightData , Window
- window_snap_radius : GUISettings
- window_soft_limit : GUISettings
- window_width : CocoaSubdriver
- WindowDesc() : WindowDesc
- WindowResized() : CocoaSubdriver
- winlangid : LanguagePackHeader
- wires : StationSpec
- WO_CACHED : VehicleResolverObject
- WO_NONE : VehicleResolverObject
- WO_SELF : VehicleResolverObject
- WO_UNCACHED : VehicleResolverObject
- word_index : StringFilter
- word_matches : StringFilter
- wp : WaypointWindow
- writable : NetworkTCPSocketHandler
- Write() : NoCompSaveFilter , SaveFilter , TranslationWriter , FileWriter , LZOSaveFilter , ZlibSaveFilter , OutputStore , PacketWriter , LanguageWriter , LZMASaveFilter , LanguageFileWriter , OutputBuffer
- WriteByte() : MemoryDumper
- WriteCrashDump() : CrashLog
- WriteCrashLog() : CrashLog
- WriteEnumT() : DumpTarget
- WriteHeader() : TranslationWriter , HeaderWriter , LanguageWriter , LanguageFileWriter
- WriteIndent() : DumpTarget
- WriteLang() : LanguageWriter
- WriteLength() : TranslationWriter , LanguageWriter
- WriteLine() : DumpTarget
- WriteLoop() : LZMASaveFilter , ZlibSaveFilter
- WriteSavegame() : CrashLog
- WriteScreenshot() : CrashLog
- WriteStringID() : HeaderFileWriter , HeaderWriter , StringNameWriter
- WriteStructT() : DumpTarget
- WriteTile() : DumpTarget
- WriteValue() : DumpTarget
- written_bytes : PacketReader